<template>
  <div :class="$style.tooltipWrap" ref="tooltipWrap">
    <div :class="$style.tooltip" ref="tooltip">
      <span>{{ title }}</span>
    </div>
    <slot />
  </div>
</template>

<script>
export default {
  name: "Tooltipe",
  props: {
    title: {
      type: String,
      default: ""
    }
  },
  mounted() {
    const positionRight =
      this.$refs.tooltip.clientWidth / 2 -
      this.$refs.tooltipWrap.clientWidth / 2;
    this.$refs.tooltip.style.left = `-${positionRight}px`;
  }
};
</script>

<style lang="scss" module>
@import "../../shared/styles/imports";
$tooltipColor: rgba(0, 0, 0, 0.7);

.tooltipWrap {
  position: relative;

  &:hover .tooltip {
    visibility: visible;
    opacity: 1;
  }
}

.tooltip {
  position: absolute;
  bottom: calc(100% + 10px);
  margin: 0 auto;
  padding: 6px 16px;
  display: table;
  visibility: hidden;
  background-color: $tooltipColor;
  border-radius: 4px;
  color: white;
  opacity: 0;
  transition: opacity 0.3s ease;

  &::after {
    content: " ";
    position: absolute;
    bottom: -5px;
    left: 0;
    right: 0;
    margin: 0 auto;
    display: block;
    width: 0px;
    height: 0px;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid $tooltipColor;
  }

  @include onScreenRes($tabletAndLower) {
    display: none;
  }
}
</style>
